Issue 121603 - Draw/Impress crash when D&D content (e.g. from gallery) as fillstyle to a draw object
Draw/Impress crash when D&D content (e.g. from gallery) as fillstyle to a dra...
Status: RESOLVED FIXED
Product: Draw
Classification: Application
Component: editing
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Armin Le Grand
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-09 12:15 UTC by Armin Le Grand
Modified: 2013-07-12 16:34 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Armin Le Grand 2013-01-09 12:15:56 UTC
ALG: when dragging something from the gallery and dropping on a draw object with fill holding CTRL+SHIFT it is intended to get the object fill style. This does currently lead to a crash.
Comment 1 Armin Le Grand 2013-01-09 12:16:16 UTC
ALG: Taking over and investigating.
Comment 2 Armin Le Grand 2013-01-09 15:47:04 UTC
ALG: Found and corrected. Also added:
- Also supported for OLEs and CustomShapes
- When source is a GraphicObject, use it's Graphic as new FillStyle
Preparing commit...
Comment 3 SVN Robot 2013-01-09 15:49:01 UTC
"alg" committed SVN revision 1430910 into trunk:
#121603# corrected D&D on existing shapes (CTRL+SHIFT pressed)
Comment 4 Armin Le Grand 2013-01-10 16:20:27 UTC
ALG: Comitted, done.